import { ClearOptionsInterface, IristaCustomConfigInterface, PostedCheckoutDataInterface } from './models/index';
export declare class KitePhotobookSDK {
    private _window;
    private printEngineBaseUrl;
    constructor(_window: Window);
    launchPhotobook(launchData: any): void;
    launchSavedBook({ baseUrl, brand, checkout, clearOptions, customPartnerConfig, partnerLogoLinkUrl, savedBookData, addNewImagesToBook, clearBook, bookSpineText, referenceId, variantTemplateId, }: {
        baseUrl?: string;
        brand?: string;
        checkout?: PostedCheckoutDataInterface;
        clearOptions?: ClearOptionsInterface;
        customPartnerConfig?: IristaCustomConfigInterface;
        partnerLogoLinkUrl?: string;
        savedBookData: string;
        addNewImagesToBook?: boolean;
        clearBook?: boolean;
        referenceId?: string;
        bookSpineText?: string;
        variantTemplateId?: string;
    }): void;
    private finaliseData;
    private post;
    private launchWithPostedData;
    private _isValidPicture;
    private loadImages;
    private fillMissingDimensions;
}
